upstream uses autoconf, adjust debian/rules and debian/install, remove
[debian/bti.git] / debian / changelog
1 bti (020-1) UNRELEASED; urgency=low
2
3   * New upstream release:
4     - remove patch getopt.patch, included upstream
5     - remove manpage for bti-shrink-urls from debian/, included upstream
6     - upstream uses autoconf, adjust debian/rules and debian/install, remove
7       debian/manpages
8
9  -- gregor herrmann <gregoa@debian.org>  Tue, 14 Apr 2009 18:10:46 +0200
10
11 bti (017-1) unstable; urgency=low
12
13   * New upstream release.
14   * Add build-dependency on libpcre3-dev.
15   * Refresh patch manpage-debian.patch.
16   * debian/install: add new bti-shrink-urls.
17   * debian/copyright: add information about bti-shrink-urls.
18   * Create a manpage for bti-shrink-urls.
19   * debian/rules: skip dh_auto_install (upstream Makefile now has an install
20     target which is not easier to use than the manual installation we've been
21     using).
22   * Add a new patch getopt.patch to make the new commandline options available
23     in bti.c.
24
25  -- gregor herrmann <gregoa@debian.org>  Tue, 24 Mar 2009 20:47:41 +0100
26
27 bti (015-1) unstable; urgency=low
28
29   * New upstream release; from the RELEASE-NOTES:
30     "--action support, bti now can output data from the twitter
31     and identica servers".
32   * Add build dependency on libxml2-dev.
33   * Refresh patch manpage-debian.patch.
34   * Set Standards-Version to 3.8.1 (no changes).
35
36  -- gregor herrmann <gregoa@debian.org>  Thu, 12 Mar 2009 17:17:11 +0100
37
38 bti (014-1) unstable; urgency=low
39
40   * New upstream release.
41
42  -- gregor herrmann <gregoa@debian.org>  Sat, 14 Feb 2009 18:36:36 +0100
43
44 bti (013-1) unstable; urgency=low
45
46   * New upstream release.
47   * Use dh_install instead of dh_bash-completion to install the bash
48     completion snippet in order to work around a problem on the amd64 buildd
49     (closes: #513115). Drop build dependency on bash-completion.
50
51  -- gregor herrmann <gregoa@debian.org>  Thu, 05 Feb 2009 20:54:54 +0100
52
53 bti (012-1) unstable; urgency=low
54
55   * New upstream release.
56   * Install the new bash completion script; add bash-completion to
57     Build-Depends and Suggests.
58   * Refresh patch manpage-debian.patch.
59
60  -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 00:52:13 +0100
61
62 bti (011-1) unstable; urgency=low
63
64   * New upstream release.
65   * Add build dependency on libreadline5-dev.
66
67  -- gregor herrmann <gregoa@debian.org>  Tue, 20 Jan 2009 17:05:57 +0100
68
69 bti (010-1) unstable; urgency=low
70
71   * New upstream release, includes a new --proxy option and honours the
72     http_proxy environment variable (closes: #511087).
73   * Refresh patch manpage-debian.patch.
74
75  -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2009 22:46:19 +0100
76
77 bti (008-1) unstable; urgency=low
78
79   * New upstream release (due to december twitter server change).
80   * Update years of packaging copyright.
81
82  -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jan 2009 06:01:45 +0100
83
84 bti (007-1) unstable; urgency=low
85
86   * New upstream release.
87
88  -- gregor herrmann <gregoa@debian.org>  Sun, 26 Oct 2008 23:36:48 +0100
89
90 bti (006-1) unstable; urgency=low
91
92   * Initial release (Closes: #503241)
93
94  -- gregor herrmann <gregoa@debian.org>  Fri, 24 Oct 2008 20:53:07 +0200